type filename = string
type filexpr = string
type foldername = string
val awk :
  ?opt:string -> string -> StringExtra.String.line list -> string list
val cut : string -> StringExtra.String.line list -> string list
val head : ?opt:string -> StringExtra.String.line list -> string list
val grep :
  ?opt:string -> string -> StringExtra.String.line list -> string list
val nl : ?opt:string -> StringExtra.String.line list -> string list
val sed :
  ?opt:string -> string -> StringExtra.String.line list -> string list
val sort : ?opt:string -> StringExtra.String.line list -> string list
val tac : ?opt:string -> StringExtra.String.line list -> string list
val tail : ?opt:string -> StringExtra.String.line list -> string list
val tee :
  ?opt:string -> filename list -> StringExtra.String.line list -> string list
val tr :
  ?opt:string -> char -> char -> StringExtra.String.line list -> string list
val uniq : ?opt:string -> StringExtra.String.line list -> string list
val wc : StringExtra.String.line list -> int
val cc : ?strict:bool -> StringExtra.String.line list -> int
module Files :
  sig
    val glob : ?null:bool -> filexpr -> string list
    val cat : ?opt:string -> filexpr -> string list
    val cut : ?opt:string -> filexpr -> string list
    val head : ?opt:string -> filexpr -> string list
    val nl : ?opt:string -> filexpr -> string list
    val sort : ?opt:string -> filexpr -> string list
    val tac : ?opt:string -> filexpr -> string list
    val tail : ?opt:string -> filexpr -> string list
    val uniq : ?opt:string -> filexpr -> string list
  end
val date : ?opt:string -> ?arg:string -> unit -> string
val id : ?opt:string -> ?arg:string -> unit -> string
val uname : ?opt:string -> unit -> string
val whoami : unit -> string
val find : Wrapper.arg -> string list
val dd :
  ?ibs:int option ->
  ?obs:int option ->
  ?bs:int option ->
  ?cbs:int option ->
  ?skip:int option ->
  ?seek:int option ->
  ?count:int option -> ?conv:int option -> filename -> filename -> unit
val tgz_create : ?opt:string -> filename -> filexpr -> unit
val tgz_extract : ?opt:string -> filename -> foldername -> unit
module Check :
  sig
    val check :
      Wrapper.command -> string -> ?nullglob:bool -> filexpr -> bool
  end
val dir_writable : ?nullglob:bool -> filexpr -> bool
val dir_comfortable : ?nullglob:bool -> filexpr -> bool
val regfile_readable : ?nullglob:bool -> filexpr -> bool
val regfile_modifiable : ?nullglob:bool -> filexpr -> bool
val freshname_possible : string -> bool
